/* SegorKat - A viewer for the electronic catalog of  
*            Segor electronics (www.segor.de). 
* 
* http://www.mydarc.de/dl9obn/programming/cpp/segorkat 
* 
* Copyright (C) 2005 by Dirk Baechle (dl9obn@darc.de) 
* 
* This program is free software; you can redistribute it and/or 
* modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation; either version 2 
* of the License, or (at your option) any later version. 
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
* GNU General Public License for more details. 
* 
* You should have received a copy of the GNU General Public 
* License along with this program; if not, write to the 
* 
* Free Software Foundation, Inc. 
* 675 Mass Ave 
* Cambridge 
* MA 02139 
* USA 
* 
*/

/** 
\file skTextCell.h 
\author Dirk Baechle 
\date 2005-07-02 
\version 1.0 
*/

#ifndef SK_TEXTCELL_H
#define SK_TEXTCELL_H

/*------------------------------------------------------------- Includes */

#include <qstring.h>

/*--------------------------------------------------------------- Defines */

/* Alignments for the output of text cells */
/** Output text cell ragged to the left */
#define ALIGN_LEFT 0
/** Output text cell ragged to the right */
#define ALIGN_RIGHT 1
/** Output text cell centered */
#define ALIGN_CENTER 2

/*------------------------------------------------------------ Functions */

void addTextCell(QString &t, 
                 const QString &sCell,
                 int cellWidth, 
                 int align = ALIGN_RIGHT);


#endif

